#
# spec file for package python-wikipedia
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-wikipedia
Version:        1.4.0
Release:        2.3
Summary:        Wikipedia API for Python
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/goldsmith/Wikipedia
Source:         https://pypi.python.org/packages/source/w/wikipedia/wikipedia-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-setuptools
# REEQUIRED FOR %%check
BuildRequires:  python-beautifulsoup4
BuildRequires:  python-requests
Requires:       python-beautifulsoup4
Requires:       python-requests
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
**Wikipedia** is a Python library that makes it easy to access and parse
data from Wikipedia.

Search Wikipedia, get article summaries, get data like links and images
from a page, and more. Wikipedia wraps the `MediaWiki
API <https://www.mediawiki.org/wiki/API>`__ so you can focus on using
Wikipedia data, not getting it.

%prep
%setup -q -n wikipedia-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Tue Apr 12 2016 badshah400@gmail.com
- Initial package.
